Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.rdl
Enum Platform_Standard.Specifier

    java.lang.Object
      java.lang.Enum<Platform_Standard.Specifier>
          rdlc.rdl.Platform_Standard.Specifier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Platform_Standard.Specifier>

Enclosing class:
  Platform_Standard

    public static enum Platform_Standard.Specifier

extends java.lang.Enum<Platform_Standard.Specifier>

Iterator of the miscellaneous specifications that are part of a platform.

Author:
  gdgib

Enum Constant Summary
`AccurateLink`
`Engine`
`FastLink`
`Language`

Method Summary
`static Platform_Standard.Specifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Platform_Standard.Specifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Language

    public static final Platform_Standard.Specifier Language

### FastLink

    public static final Platform_Standard.Specifier FastLink

### AccurateLink

    public static final Platform_Standard.Specifier AccurateLink

### Engine

    public static final Platform_Standard.Specifier Engine

Method Detail

### values

    public static final Platform_Standard.Specifier[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Platform_Standard.Specifier c : Platform_Standard.Specifier.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Platform_Standard.Specifier valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD